DPGEN_DFF(3)

NAME
DPGEN_DFF - Dynamic Flip-Flop Macro-Generator

SYNOPSIS
#include <genlib.h>

void GENLIB_MACRO(
	DPGEN_DFF,
	char *modelname,
	long flags,
	long N
);
.SH "DESCRIPTION"

Generate a N bits dynamic flip-flop named modelname. The two latches of this flip-flop are dynamic, i.e. the data is stored in a capacitor.

How it works :

•   wen when set to '1' enables the writing of the flip-flop.

  TERMINAL NAMES

1.  wen : write enable (1 bit).

2.  ck : clock signal (1 bit).

3.  i0 : data input (N bits).

4.  q : output (N bits).

5.  vdd : power.

6.  vss : ground.

EXAMPLE

GENLIB_MACRO(DPGEN_DFF, "model_dff_32"
                      , F_BEHAV|F_PLACE
                      , 32
                      );
GENLIB_LOINS( "model_dff_32"
            , "instance1_dff_32"
            , "wen"
            , "ck"
            , "i0[31:0]"
            ,  "q[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)